=== debian/changelog ===
node-markdown-it (10.0.0+dfsg-6) unstable; urgency=medium

  * Team upload
  * Fix ReDoS (Closes: CVE-2022-21670)

 -- Yadd <yadd@debian.org>  Sat, 15 Jan 2022 12:30:43 +0100

node-markdown-it (10.0.0+dfsg-5) unstable; urgency=medium

  * team upload

  * use and build-depend on terser (not uglifyjs.terser)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Dec 2021 21:07:07 +0100

node-markdown-it (10.0.0+dfsg-4) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.0, no changes needed.
  * Add ctype=nodejs to component(s)
  * Fix debian/watch
    * Fix filenamemangle
    * Fix GitHub tags regex
    * Use /tags instead of /releases
  * Use dh-sequence-nodejs instead of pkg-js-tools
  * Drop dependency to nodejs
  * Mark test dependencies with <!nocheck>
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 25 Nov 2021 14:29:58 +0100

node-markdown-it (10.0.0+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.5.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 29 Aug 2021 01:53:18 +0100

node-markdown-it (10.0.0+dfsg-2) unstable; urgency=medium

  * Team Upload
  * Drop dependency on nodejs and provide libjs-markdown-it

 -- Pirate Praveen <praveen@debian.org>  Sun, 06 Sep 2020 15:41:27 +0530

node-markdown-it (10.0.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #951104)

 -- Sakshi Sangwan <sangwansakshi10@gmail.com>  Sun, 02 Feb 2020 14:09:09 -0500
