=== debian/control ===
Source: node-markdown-it
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Sakshi Sangwan <sangwansakshi10@gmail.com>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , chai <!nocheck>
 , mocha <!nocheck>
 , node-argparse
 , node-entities
 , node-js-yaml
 , node-object-assign
 , node-supertest
 , rollup
 , terser
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-markdown-it
Vcs-Git: https://salsa.debian.org/js-team/node-markdown-it.git
Homepage: https://github.com/markdown-it/markdown-it#readme
Rules-Requires-Root: no

Package: node-markdown-it
Architecture: all
Depends: ${misc:Depends}
 , node-entities (>= 2.0.0)
Provides: libjs-markdown-it
Description: Fast and easy to extend markdown parser
 Follows the CommonMark spec, adds syntax extensions and sugar (URL
 autolinking, typographer). Provides configurable syntax, can add new
 rules and even replace existing ones, and high speed
 .
 Node.js is an event-based server-side JavaScript engine.
