=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_install:
	dh_install
	# Remove command line inteface to provide libjs-markdown-it
	# This is required to remove nodejs dependency
	# If someone require it in future, we will have to create
	# separate binaries
	rm -f debian/node-markdown-it/usr/share/nodejs/markdown-it/bin/markdown-it.js
