=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-markdown-it-$1/ \
 https://github.com/markdown-it/markdown-it/tags .*/archive/.*/v?([\d\.]+).tar.gz


opts=\
ctype=nodejs,\
component=ucmicro,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-uc.micro-$1/ \
 https://github.com/markdown-it/uc.micro/tags .*/archive/.*/v?([\d\.]+).tar.gz ignore

opts=\
ctype=nodejs,\
component=mdurl,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-mdurl-$1/ \
 https://github.com/markdown-it/mdurl/tags .*/archive/.*/v?([\d\.]+).tar.gz ignore

opts=\
ctype=nodejs,\
component=linkify-it,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-linkify-it-$1/ \
 https://github.com/markdown-it/linkify-it/tags .*/archive/.*/v?([\d\.]+).tar.gz ignore

opts=\
ctype=nodejs,\
component=markdown-it-testgen,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-markdown-it-testgen-$1/ \
 https://github.com/markdown-it/markdown-it-testgen/tags .*/archive/.*/v?([\d\.]+).tar.gz ignore

opts=\
ctype=nodejs,\
component=markdown-it-for-inline,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-markdown-it-for-inline-$1/ \
 https://github.com/markdown-it/markdown-it-for-inline/tags .*/archive/.*/v?([\d\.]+).tar.gz ignore
