=== debian/changelog ===
node-markdown-it (22.2.3+dfsg+~12.2.3-3) experimental; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-markdown-it: Add Multi-Arch: foreign.

  [ Jérémy Lal ]
  * Team upload
  * Modernize rules a bit
  * node-supertest is a test dep
  * Install @types/markdown-it (Closes: #1109221).

 -- Jérémy Lal <kapouer@melix.org>  Sun, 13 Jul 2025 19:35:37 +0200

node-markdown-it (22.2.3+dfsg+~12.2.3-2) unstable; urgency=medium

  * Team upload
  * Replace entities hook by local entities.json

 -- Yadd <yadd@debian.org>  Sun, 01 May 2022 14:19:30 +0200

node-markdown-it (22.2.3+dfsg+~12.2.3-1) unstable; urgency=medium

  * Team upload
  * Added component types-markdown-it
  * New upstream version 22.2.3+dfsg+~12.2.3
  * Added nodejs Provides
  * Added copyright for component types-markdown-it
  * Added symlinks

 -- Israel Galadima <izzygaladima@gmail.com>  Mon, 18 Apr 2022 16:34:37 +0000
