=== debian/control ===
--- 
+++ 
@@ -9,10 +9,9 @@
  , chai <!nocheck>
  , mocha <!nocheck>
  , node-argparse
- , node-entities
  , node-js-yaml
  , node-object-assign
- , node-supertest
+ , node-supertest <!nocheck>
  , rollup
  , terser
 Standards-Version: 4.6.0
@@ -24,8 +23,9 @@
 Package: node-markdown-it
 Architecture: all
 Depends: ${misc:Depends}
- , node-entities (>= 2.0.0)
 Provides: libjs-markdown-it
+ , ${nodejs:Provides}
+Multi-Arch: foreign
 Description: Fast and easy to extend markdown parser
  Follows the CommonMark spec, adds syntax extensions and sugar (URL
  autolinking, typographer). Provides configurable syntax, can add new
