=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,7 @@
 %:
 	dh $@
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	# Remove command line inteface to provide libjs-markdown-it
 	# This is required to remove nodejs dependency
 	# If someone require it in future, we will have to create
