=== debian/watch ===
--- 
+++ 
@@ -4,7 +4,7 @@
 repack,compression=xz,\
 dversionmangle=auto,\
 filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-markdown-it-$1/ \
- https://github.com/markdown-it/markdown-it/tags .*/archive/.*/v?([\d\.]+).tar.gz
+ https://github.com/markdown-it/markdown-it/tags .*/archive/.*/v?([\d\.]+).tar.gz group
 
 
 opts=\
@@ -41,3 +41,8 @@
 dversionmangle=auto,\
 filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-markdown-it-for-inline-$1/ \
  https://github.com/markdown-it/markdown-it-for-inline/tags .*/archive/.*/v?([\d\.]+).tar.gz ignore
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=types-markdown-it,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-markdown-it-$1/" \
+ https://registry.npmjs.org/@types/markdown-it https://registry.npmjs.org/@types/markdown-it/-/markdown-it-([\d\.]+)@ARCHIVE_EXT@ checksum
